diff --git a/base/server/src/scriptlets/selinux_setup.py b/base/server/src/scriptlets/selinux_setup.py
index 684a4ce2a0d14337f20730399d116aec27c5b186..ae4ae540e6e85de78b7a87f0751cf2aa88d8b66f 100644
--- a/base/server/src/scriptlets/selinux_setup.py
+++ b/base/server/src/scriptlets/selinux_setup.py
@@ -69,9 +69,9 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
                 # add SELinux contexts when adding the first subsystem
                 if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-                    util.instance.apache_instance_subsystems() == 1 or\
+                    util.Instance.apache_instance_subsystems() == 1 or\
                     master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                    len(util.instance.tomcat_instance_subsystems()) == 1:
+                    len(util.Instance.tomcat_instance_subsystems()) == 1:
 
                     trans = seobject.semanageRecords("targeted")
                     trans.start()
@@ -139,7 +139,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # check first if any transactions are required
         if len(ports) == 0 and master['pki_instance_name'] == \
            config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_INSTANCE_NAME:
-               return self.rv
+            return self.rv
         # A maximum of 10 tries to delete the SELinux contexts
         counter = 1
         max_tries = 10
@@ -147,9 +147,9 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             try:
                 # remove SELinux contexts when removing the last subsystem
                 if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-                    util.instance.apache_instance_subsystems() == 0 or\
+                    util.Instance.apache_instance_subsystems() == 0 or\
                     master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                    len(util.instance.tomcat_instance_subsystems()) == 0:
+                    len(util.Instance.tomcat_instance_subsystems()) == 0:
 
                     trans = seobject.semanageRecords("targeted")
                     trans.start()
diff --git a/base/server/src/scriptlets/slot_substitution.py b/base/server/src/scriptlets/slot_substitution.py
index 7904762cc6914b3951b4102f10bf66f6bc70a00e..9cef6a55339d561417fbf5a0a5b35dfc2bfa1240 100644
--- a/base/server/src/scriptlets/slot_substitution.py
+++ b/base/server/src/scriptlets/slot_substitution.py
@@ -39,39 +39,39 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             return self.rv
         config.pki_log.info(log.SLOT_ASSIGNMENT_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        util.file.copy_with_slot_substitution(master['pki_source_cs_cfg'],
+        util.File.copy_with_slot_substitution(master['pki_source_cs_cfg'],
                                               master['pki_target_cs_cfg'])
-        util.file.copy_with_slot_substitution(master['pki_source_registry'],
+        util.File.copy_with_slot_substitution(master['pki_source_registry'],
                                               master['pki_target_registry'],
                                               uid=0, gid=0, overwrite_flag=True)
         if master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_catalina_properties'],
                 master['pki_target_catalina_properties'],
                 overwrite_flag=True)
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_servercertnick_conf'],
                 master['pki_target_servercertnick_conf'],
                 overwrite_flag=True)
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_server_xml'],
                 master['pki_target_server_xml'],
                 overwrite_flag=True)
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_context_xml'],
                 master['pki_target_context_xml'],
                 overwrite_flag=True)
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_tomcat_conf'],
                 master['pki_target_tomcat_conf_instance_id'],
                 uid=0, gid=0, overwrite_flag=True)
-            util.file.copy_with_slot_substitution(
+            util.File.copy_with_slot_substitution(
                 master['pki_source_tomcat_conf'],
                 master['pki_target_tomcat_conf'],
                 overwrite_flag=True)
-            util.file.apply_slot_substitution(
+            util.File.apply_slot_substitution(
                 master['pki_target_velocity_properties'])
-            util.file.apply_slot_substitution(
+            util.File.apply_slot_substitution(
                 master['pki_target_subsystem_web_xml'])
             # Strip "<filter>" section from subsystem "web.xml"
             # This is ONLY necessary because XML comments cannot be "nested"!
@@ -83,10 +83,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             #    master['pki_target_subsystem_web_xml'])
             #util.file.delete(master['pki_target_subsystem_web_xml_orig'])
             if master['pki_subsystem'] == "CA":
-                util.file.copy_with_slot_substitution(
+                util.File.copy_with_slot_substitution(
                     master['pki_source_proxy_conf'],
                     master['pki_target_proxy_conf'])
-                util.file.apply_slot_substitution(
+                util.File.apply_slot_substitution(
                     master['pki_target_profileselect_template'])
         return self.rv
 
diff --git a/base/server/src/scriptlets/subsystem_layout.py b/base/server/src/scriptlets/subsystem_layout.py
index f340ead4969bdeb5ff059890edb6a51d1428ed84..071cbe4eb83ede6f05f562ed87f4ef54a879e895 100644
--- a/base/server/src/scriptlets/subsystem_layout.py
+++ b/base/server/src/scriptlets/subsystem_layout.py
@@ -39,65 +39,65 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.SUBSYSTEM_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # establish instance-based subsystem logs
-        util.directory.create(master['pki_subsystem_log_path'])
-        util.directory.create(master['pki_subsystem_archive_log_path'])
+        util.Directory.create(master['pki_subsystem_log_path'])
+        util.Directory.create(master['pki_subsystem_archive_log_path'])
         if master['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
-            util.directory.create(master['pki_subsystem_signed_audit_log_path'])
+            util.Directory.create(master['pki_subsystem_signed_audit_log_path'])
         # establish instance-based subsystem configuration
-        util.directory.create(master['pki_subsystem_configuration_path'])
+        util.Directory.create(master['pki_subsystem_configuration_path'])
         # util.directory.copy(master['pki_source_conf_path'],
         #                     master['pki_subsystem_configuration_path'])
         # establish instance-based Apache/Tomcat specific subsystems
         if master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # establish instance-based Tomcat PKI subsystem base
             if master['pki_subsystem'] == "CA":
-                util.directory.copy(master['pki_source_emails'],
+                util.Directory.copy(master['pki_source_emails'],
                                     master['pki_subsystem_emails_path'])
-                util.directory.copy(master['pki_source_profiles'],
+                util.Directory.copy(master['pki_source_profiles'],
                                     master['pki_subsystem_profiles_path'])
             # establish instance-based Tomcat PKI subsystem logs
             # establish instance-based Tomcat PKI subsystem configuration
             if master['pki_subsystem'] == "CA":
-                util.file.copy(master['pki_source_flatfile_txt'],
+                util.File.copy(master['pki_source_flatfile_txt'],
                                master['pki_target_flatfile_txt'])
-                util.file.copy(master['pki_source_registry_cfg'],
+                util.File.copy(master['pki_source_registry_cfg'],
                                master['pki_target_registry_cfg'])
                 # '*.profile'
-                util.file.copy(master['pki_source_admincert_profile'],
+                util.File.copy(master['pki_source_admincert_profile'],
                                master['pki_target_admincert_profile'])
-                util.file.copy(master['pki_source_caauditsigningcert_profile'],
+                util.File.copy(master['pki_source_caauditsigningcert_profile'],
                                master['pki_target_caauditsigningcert_profile'])
-                util.file.copy(master['pki_source_cacert_profile'],
+                util.File.copy(master['pki_source_cacert_profile'],
                                master['pki_target_cacert_profile'])
-                util.file.copy(master['pki_source_caocspcert_profile'],
+                util.File.copy(master['pki_source_caocspcert_profile'],
                                master['pki_target_caocspcert_profile'])
-                util.file.copy(master['pki_source_servercert_profile'],
+                util.File.copy(master['pki_source_servercert_profile'],
                                master['pki_target_servercert_profile'])
-                util.file.copy(master['pki_source_subsystemcert_profile'],
+                util.File.copy(master['pki_source_subsystemcert_profile'],
                                master['pki_target_subsystemcert_profile'])
             elif master['pki_subsystem'] == "KRA":
                 # '*.profile'
-                util.file.copy(master['pki_source_servercert_profile'],
+                util.File.copy(master['pki_source_servercert_profile'],
                                master['pki_target_servercert_profile'])
-                util.file.copy(master['pki_source_storagecert_profile'],
+                util.File.copy(master['pki_source_storagecert_profile'],
                                master['pki_target_storagecert_profile'])
-                util.file.copy(master['pki_source_subsystemcert_profile'],
+                util.File.copy(master['pki_source_subsystemcert_profile'],
                                master['pki_target_subsystemcert_profile'])
-                util.file.copy(master['pki_source_transportcert_profile'],
+                util.File.copy(master['pki_source_transportcert_profile'],
                                master['pki_target_transportcert_profile'])
             # establish instance-based Tomcat PKI subsystem registry
             # establish instance-based Tomcat PKI subsystem convenience
             # symbolic links
-            util.symlink.create(master['pki_tomcat_webapps_path'],
+            util.Symlink.create(master['pki_tomcat_webapps_path'],
                                 master['pki_subsystem_tomcat_webapps_link'])
         # establish instance-based subsystem convenience symbolic links
-        util.symlink.create(master['pki_instance_database_link'],
+        util.Symlink.create(master['pki_instance_database_link'],
                             master['pki_subsystem_database_link'])
-        util.symlink.create(master['pki_subsystem_configuration_path'],
+        util.Symlink.create(master['pki_subsystem_configuration_path'],
                             master['pki_subsystem_conf_link'])
-        util.symlink.create(master['pki_subsystem_log_path'],
+        util.Symlink.create(master['pki_subsystem_log_path'],
                             master['pki_subsystem_logs_link'])
-        util.symlink.create(master['pki_instance_registry_path'],
+        util.Symlink.create(master['pki_instance_registry_path'],
                             master['pki_subsystem_registry_link'])
         return self.rv
 
@@ -106,16 +106,16 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # remove instance-based subsystem base
         if master['pki_subsystem'] == "CA":
-            util.directory.delete(master['pki_subsystem_emails_path'])
-            util.directory.delete(master['pki_subsystem_profiles_path'])
-        util.directory.delete(master['pki_subsystem_path'])
+            util.Directory.delete(master['pki_subsystem_emails_path'])
+            util.Directory.delete(master['pki_subsystem_profiles_path'])
+        util.Directory.delete(master['pki_subsystem_path'])
         # remove instance-based subsystem logs
         if master['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
-            util.directory.delete(master['pki_subsystem_signed_audit_log_path'])
-        util.directory.delete(master['pki_subsystem_archive_log_path'])
-        util.directory.delete(master['pki_subsystem_log_path'])
+            util.Directory.delete(master['pki_subsystem_signed_audit_log_path'])
+        util.Directory.delete(master['pki_subsystem_archive_log_path'])
+        util.Directory.delete(master['pki_subsystem_log_path'])
         # remove instance-based subsystem configuration
-        util.directory.delete(master['pki_subsystem_configuration_path'])
+        util.Directory.delete(master['pki_subsystem_configuration_path'])
         # remove instance-based subsystem registry
-        util.directory.delete(master['pki_subsystem_registry_path'])
+        util.Directory.delete(master['pki_subsystem_registry_path'])
         return self.rv
diff --git a/base/server/src/scriptlets/webapp_deployment.py b/base/server/src/scriptlets/webapp_deployment.py
index 4fdcc8614baf2bc816fc865ca3bf420ba6ef5091..800d8996f34f7c238484e14d969d236fbf97d4da 100644
--- a/base/server/src/scriptlets/webapp_deployment.py
+++ b/base/server/src/scriptlets/webapp_deployment.py
@@ -47,8 +47,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
             # Copy /usr/share/pki/server/webapps/ROOT
             # to <instance>/webapps/ROOT
-            util.directory.create(master['pki_tomcat_webapps_root_path'])
-            util.directory.copy(
+            util.Directory.create(master['pki_tomcat_webapps_root_path'])
+            util.Directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     "server",
@@ -57,20 +57,20 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                 master['pki_tomcat_webapps_root_path'],
                 overwrite_flag=True)
 
-            util.directory.create(master['pki_tomcat_webapps_common_path'])
+            util.Directory.create(master['pki_tomcat_webapps_common_path'])
 
             # If desired and available,
             # copy selected server theme
             # to <instance>/webapps/pki
             if config.str2bool(master['pki_theme_enable']) and\
                os.path.exists(master['pki_theme_server_dir']):
-                util.directory.copy(master['pki_theme_server_dir'],
+                util.Directory.copy(master['pki_theme_server_dir'],
                                     master['pki_tomcat_webapps_common_path'],
                                     overwrite_flag=True)
 
             # Copy /usr/share/pki/server/webapps/pki/js
             # to <instance>/webapps/pki/js
-            util.directory.copy(
+            util.Directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     "server",
@@ -84,7 +84,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
             # Copy /usr/share/pki/server/webapps/pki/META-INF
             # to <instance>/webapps/pki/META-INF
-            util.directory.copy(
+            util.Directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     "server",
@@ -99,8 +99,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             # Copy /usr/share/pki/server/webapps/pki/admin
             # to <instance>/webapps/<subsystem>/admin
             # TODO: common templates should be deployed in common webapp
-            util.directory.create(master['pki_tomcat_webapps_subsystem_path'])
-            util.directory.copy(
+            util.Directory.create(master['pki_tomcat_webapps_subsystem_path'])
+            util.Directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     "server",
@@ -114,7 +114,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
             # Copy /usr/share/pki/<subsystem>/webapps/<subsystem>
             # to <instance>/webapps/<subsystem>
-            util.directory.copy(
+            util.Directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     master['pki_subsystem'].lower(),
@@ -123,42 +123,42 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                 master['pki_tomcat_webapps_subsystem_path'],
                 overwrite_flag=True)
 
-            util.directory.create(
+            util.Directory.create(
                 master['pki_tomcat_webapps_subsystem_webinf_classes_path'])
-            util.directory.create(
+            util.Directory.create(
                 master['pki_tomcat_webapps_subsystem_webinf_lib_path'])
             # establish Tomcat webapps subsystem WEB-INF lib symbolic links
-            util.symlink.create(master['pki_certsrv_jar'],
+            util.Symlink.create(master['pki_certsrv_jar'],
                 master['pki_certsrv_jar_link'])
-            util.symlink.create(master['pki_cmsbundle'],
+            util.Symlink.create(master['pki_cmsbundle'],
                 master['pki_cmsbundle_jar_link'])
-            util.symlink.create(master['pki_cmscore'],
+            util.Symlink.create(master['pki_cmscore'],
                 master['pki_cmscore_jar_link'])
-            util.symlink.create(master['pki_cms'],
+            util.Symlink.create(master['pki_cms'],
                 master['pki_cms_jar_link'])
-            util.symlink.create(master['pki_cmsutil'],
+            util.Symlink.create(master['pki_cmsutil'],
                 master['pki_cmsutil_jar_link'])
-            util.symlink.create(master['pki_nsutil'],
+            util.Symlink.create(master['pki_nsutil'],
                 master['pki_nsutil_jar_link'])
             if master['pki_subsystem'] == "CA":
-                util.symlink.create(master['pki_ca_jar'],
+                util.Symlink.create(master['pki_ca_jar'],
                                     master['pki_ca_jar_link'])
             elif master['pki_subsystem'] == "KRA":
-                util.symlink.create(master['pki_kra_jar'],
+                util.Symlink.create(master['pki_kra_jar'],
                                     master['pki_kra_jar_link'])
             elif master['pki_subsystem'] == "OCSP":
-                util.symlink.create(master['pki_ocsp_jar'],
+                util.Symlink.create(master['pki_ocsp_jar'],
                                     master['pki_ocsp_jar_link'])
             elif master['pki_subsystem'] == "TKS":
-                util.symlink.create(master['pki_tks_jar'],
+                util.Symlink.create(master['pki_tks_jar'],
                                     master['pki_tks_jar_link'])
             # set ownerships, permissions, and acls
-            util.directory.set_mode(master['pki_tomcat_webapps_subsystem_path'])
+            util.Directory.set_mode(master['pki_tomcat_webapps_subsystem_path'])
         return self.rv
 
     def destroy(self):
         if master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             config.pki_log.info(log.WEBAPP_DEPLOYMENT_DESTROY_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
-            util.directory.delete(master['pki_tomcat_webapps_subsystem_path'])
+            util.Directory.delete(master['pki_tomcat_webapps_subsystem_path'])
         return self.rv
-- 
1.7.10.2

